The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"помогите с php 5 "
Вариант для распечатки  
Пред. тема | След. тема 
Форумы WEB технологии (Public)
Изначальное сообщение [ Отслеживать ]

"помогите с php 5 "  
Сообщение от Megapiz (ok) on 10-Авг-08, 14:50 
у меня freebsd 7.0 и все пакеджи родные

апач с ssl встал нормально из пакеджей pkg_add apache.x.y
mysql тоже нормально установился

но привязать php к апчу динамическим модулем не получается - при попытке сделать
./configure - команда не найдена.
я так понимаю должен быть конфигурационный скрипт - если да то где его взять

просьба через порты не советовать.  

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "помогите с php 5 "  
Сообщение от angra (ok) on 10-Авг-08, 19:44 
Какое отношение имеет ./configure к пакетам и вообще откуда вы ее пытаетесь выполнить?
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "помогите с php 5 "  
Сообщение от Vladimir (??) on 10-Авг-08, 20:10 
>просьба через порты не советовать.

зря, все прекрасно работает


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "помогите с php 5 "  
Сообщение от Pahanivo email(ok) on 11-Авг-08, 07:50 
Собери ручками.


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "помогите с php 5 "  
Сообщение от Michael Quad on 11-Авг-08, 21:48 
Кажись, для модуля компилировать php обязательно. Без компиляции, только CGI будет работать.. Единственный способ без проблем скомпилировать - через порты :]

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "помогите с php 5 "  
Сообщение от Lucf3r email(??) on 12-Авг-08, 15:47 
>Кажись, для модуля компилировать php обязательно. Без компиляции, только CGI будет работать..
>Единственный способ без проблем скомпилировать - через порты :]

Что значит для модуля обязательно компилировать? Компилировать в любому случае обязательно...

Правильно человек сказал - откуда вы пытаетесь выполнить "./configure" ?

То что вы должны сделать - это скачать исходник PHP в тарболе, разархивировать его, зайти в папку php-x.y.z и _ТАМ_ выполнить ./configure с необходимыми параметрами.

При этому если вы хотите собрать его как модуль к Апачу вы обязаны указать путь до apxs от Апача...

./configure --with-... --with-... --enable-... --with-apxs=/usr/bin/apxs

В случае Apache 2:

./configure --with-... --with-... --enable-... --with-apxs2=/usr/bin/apxs

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

6. "помогите с php 5 "  
Сообщение от Michael Quad on 12-Авг-08, 19:56 
>Что значит для модуля обязательно компилировать? Компилировать в любому случае обязательно...
>

Если есть "пакет" aka "package", то можно не компилировать, но тогда связать php с apache не получится.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру